"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCircleAttestation = exports.CircleAttestationStatus = void 0;
const axios_1 = __importDefault(require("axios"));
// Note: mostly ripped off from https://github.com/circlefin/cctp-sample-app/blob/master/src/services/attestationService.ts
var CircleAttestationStatus;
(function (CircleAttestationStatus) {
    CircleAttestationStatus["complete"] = "complete";
    CircleAttestationStatus["pending_confirmations"] = "pending_confirmations";
})(CircleAttestationStatus || (exports.CircleAttestationStatus = CircleAttestationStatus = {}));
const mapCircleAttestation = (attestationResponse) => ({
    message: attestationResponse.attestation,
    status: attestationResponse.status,
});
async function getCircleAttestation(circleApi, msgHash) {
    const url = `${circleApi}/${msgHash}`;
    try {
        const response = await axios_1.default.get(url);
        const attestation = mapCircleAttestation(response?.data);
        // Found but still pending
        if (attestation.message === "PENDING")
            return null;
        return attestation;
    }
    catch (error) {
        if (!(axios_1.default.isAxiosError(error) && error?.response?.status === 404)) {
            console.error(error);
        }
        return null;
    }
}
exports.getCircleAttestation = getCircleAttestation;
//# sourceMappingURL=circle-api.js.map