"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.retry = void 0;
async function retry(task, interval, maxRetries) {
    let retries = 0;
    return new Promise((resolve, reject) => {
        const intervalId = setInterval(async () => {
            if (retries >= maxRetries) {
                clearInterval(intervalId);
                resolve(null);
                return;
            }
            const result = await task();
            if (result !== null) {
                clearInterval(intervalId);
                resolve(result);
            }
            retries++;
        }, interval);
    });
}
exports.retry = retry;
//# sourceMappingURL=poller.js.map