"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fetchIbcXfer = exports.isVaaRedeemed = void 0;
const sdk_definitions_1 = require("@wormhole-foundation/sdk-definitions");
async function isVaaRedeemed(tb, vaas) {
    const redeemed = await Promise.all(vaas.map((v) => {
        return tb.isTransferCompleted(v);
    }));
    return redeemed.every((v) => v);
}
exports.isVaaRedeemed = isVaaRedeemed;
async function fetchIbcXfer(wcIbc, msg) {
    // TODO: check for errors
    if ((0, sdk_definitions_1.isTransactionIdentifier)(msg)) {
        try {
            return await wcIbc.lookupTransferFromTx(msg.txid);
        }
        catch (e) {
            console.error("Failed to lookup transfer from tx: ", e);
        }
        //
    }
    else if ((0, sdk_definitions_1.isGatewayTransferMsg)(msg) ||
        (0, sdk_definitions_1.isGatewayTransferWithPayloadMsg)(msg)) {
        try {
            return await wcIbc.lookupTransferFromMsg(msg);
        }
        catch (e) {
            console.error("Failed to lookup transfer from message: ", e);
        }
    }
    else if ((0, sdk_definitions_1.isIbcMessageId)(msg)) {
        try {
            return await wcIbc.lookupTransferFromIbcMsgId(msg);
        }
        catch (e) {
            console.error("Failed to lookup transfer from sequence: ", e);
        }
    }
    return null;
}
exports.fetchIbcXfer = fetchIbcXfer;
//# sourceMappingURL=utils.js.map