import axios from "axios";
// Note: mostly ripped off from https://github.com/circlefin/cctp-sample-app/blob/master/src/services/attestationService.ts
export var CircleAttestationStatus;
(function (CircleAttestationStatus) {
    CircleAttestationStatus["complete"] = "complete";
    CircleAttestationStatus["pending_confirmations"] = "pending_confirmations";
})(CircleAttestationStatus || (CircleAttestationStatus = {}));
const mapCircleAttestation = (attestationResponse) => ({
    message: attestationResponse.attestation,
    status: attestationResponse.status,
});
export async function getCircleAttestation(circleApi, msgHash) {
    const url = `${circleApi}/${msgHash}`;
    try {
        const response = await axios.get(url);
        const attestation = mapCircleAttestation(response?.data);
        // Found but still pending
        if (attestation.message === "PENDING")
            return null;
        return attestation;
    }
    catch (error) {
        if (!(axios.isAxiosError(error) && error?.response?.status === 404)) {
            console.error(error);
        }
        return null;
    }
}
//# sourceMappingURL=circle-api.js.map