import { ChainName, PlatformName } from "@wormhole-foundation/sdk-base";
import { GatewayTransferDetails, IbcTransferInfo, NativeAddress, Signer, TransactionId, TxHash, UniversalAddress, VAA, WormholeMessageId } from "@wormhole-foundation/sdk-definitions";
import { Wormhole } from "../wormhole";
import { AttestationId, TransferState, WormholeTransfer } from "../wormholeTransfer";
export declare class GatewayTransfer implements WormholeTransfer {
    static chain: ChainName;
    private readonly wh;
    private readonly wc;
    private readonly gatewayAddress;
    private state;
    private msg;
    transfer: GatewayTransferDetails;
    transactions: TransactionId[];
    vaas?: {
        id: WormholeMessageId;
        vaa?: VAA<"TransferWithPayload"> | VAA<"Transfer">;
    }[];
    ibcTransfers?: IbcTransferInfo[];
    private constructor();
    getTransferState(): Promise<TransferState>;
    static from(wh: Wormhole, from: GatewayTransferDetails): Promise<GatewayTransfer>;
    static from(wh: Wormhole, from: WormholeMessageId): Promise<GatewayTransfer>;
    static from(wh: Wormhole, from: TransactionId): Promise<GatewayTransfer>;
    private static _fromMsgId;
    private static _fromTransaction;
    private static _fromIbcTransfer;
    initiateTransfer(signer: Signer): Promise<TxHash[]>;
    private _transfer;
    private _transferIbc;
    fetchAttestation(): Promise<AttestationId[]>;
    completeTransfer(signer: Signer): Promise<TxHash[]>;
    static getTransferVaa(wh: Wormhole, chain: ChainName, emitter: UniversalAddress | NativeAddress<PlatformName>, sequence: bigint, retries?: number): Promise<VAA<"TransferWithPayload"> | VAA<"Transfer">>;
    private fromGateway;
    private toGateway;
}
//# sourceMappingURL=gatewayTransfer.d.ts.map